<?php
session_start();
require('fpdf/fpdf.php');
require('conexion.php');
class PDF extends FPDF
{
var $widths;
var $aligns;
function SetWidths($w)
{
	//Set the array of column widths
	$this->widths=$w;
}

function SetAligns($a)
{
	//Set the array of column alignments
	$this->aligns=$a;
}
function Row($data)
{
	//Calculate the height of the row
	$nb=0;
	for($i=0;$i<count($data);$i++)
		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	$h=5*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++)
	{
		$w=$this->widths[$i];
		$a=isset($this->aligns[$i]) ? $this->aligns[$i] :'L';
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		
		$this->Rect($x,$y,$w,$h);

		$this->MultiCell($w,5,$data[$i],0,$a,'true');
		//Put the position to the right of the cell
		$this->SetXY($x+$w,$y);
	}
	//Go to the next line
	$this->Ln($h);
}

function CheckPageBreak($h)
{
	//If the height h would cause an overflow, add a new page immediately
	if($this->GetY()+$h>$this->PageBreakTrigger)
		$this->AddPage($this->CurOrientation);
}

function NbLines($w,$txt)
{
	//Computes the number of lines a MultiCell of width w will take
	$cw=&$this->CurrentFont['cw'];
	if($w==0)
		$w=$this->w-$this->rMargin-$this->x;
	$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	$s=str_replace("\r",'',$txt);
	$nb=strlen($s);
	if($nb>0 and $s[$nb-1]=="\n")
		$nb--;
	$sep=-1;
	$i=0;
	$j=0;
	$l=0;
	$nl=1;
	while($i<$nb)
	{
		$c=$s[$i];
		if($c=="\n")
		{
			$i++;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
			continue;
		}
		if($c==' ')
			$sep=$i;
		$l+=$cw[$c];
		if($l>$wmax)
		{
			if($sep==-1)
			{
				if($i==$j)
					$i++;
			}
			else
				$i=$sep+1;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
		}
		else
			$i++;
	}
	return $nl;
}
//cabezera
function Header()
{
    // Logo
    $this->Image('logo.jpg',22,6,16);
    // Arial bold 15
    $this->SetFont('Arial','B',6);
    // Movernos a la derecha
    $this->Cell(80);
    // Título
    $this->Cell(0,1,'CENTRO DE REHABILITACION RESPIRATORIO "CREE IPS"',0,1,'R',false);
    // Salto de línea
    $this->Ln(3);
	$this->Cell(0,1,'Nit 900.577.093-6',0,0,'R');
    // Movernos a la derecha
    $this->Cell(120);
    // Salto de línea
    $this->Ln(1);
$this->Cell(0,0,'HISTORIA CLINICA',0,1,'C');
}

//fin cabezera


//inicio pie de pagina
function Footer()
{
	$this->SetY(-15);
	$this->SetFont('Arial','B',4);
	$this->Cell(100,10,'Historia Clinica Impreso Por Sisclinic',0,0,'L');

}

//fin pie de pagina
//inicio identificacion
function ChapterTitle11($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Datos Identificacion",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin identificacion
//inicio motivo de consulta
function ChapterTitle($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Motivo de Consulta",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin motivo de consulta

//inicio antecedentesper
function ChapterTitle2($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Antecedentes Personales",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
	
}
//fin antecedentes per

//inicio antecedentes familiares
function ChapterTitle3($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Antecedentes Familiares",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin antecedentes

//inicio Revision por sistemas
function ChapterTitle4($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Revision por Sistemas",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin revision

//inicio examen fisico
function ChapterTitle5($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Examen Fisico",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin examen fisico



//inicio examen fisico
function ChapterTitle6($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Seguimiento",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin examen fisico

//inicio examen fisico
function ChapterTitle7($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Seguimiento",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
//fin examen fisico
function ChapterTitle8($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Educacion",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle10($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Diagnostico",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle50($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Laboratorios E Imagenologias",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle51($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Diagnostico",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle52($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Medicamentos",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle53($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',8);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Seguimiento",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle54($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',7);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Educacion",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
function ChapterTitle55($num, $label)
{
    // Arial 12
    $this->SetFont('Arial','I',7);
    // Color de fondo
    $this->SetFillColor(200,220,220);
    // Título
    $this->Cell(0,6,"Enfermedad Actual",0,1,'L',true);
    // Salto de línea
    $this->Ln(1);
}
}

	$pdf=new PDF('P','mm','Letter');
	$pdf->Open();
	$pdf->AddPage();
	$pdf->SetMargins(25,25,25);
	$pdf->Ln(7);
    $pdf->ChapterTitle11($num,$title);
	$pdf->SetFont('Arial','I',7);
	
		$paciente=$_SESSION['cedul'];
	$est='1';
	$con = new DB;
	$pacientes = $con->conectar();	
	$us = $con->conectar();
	$recibe = "SELECT *from usuarios C, historiac P WHERE C.id_usu='$paciente' and P.id_usuario='$paciente' group by admin";
	$resultado = mysql_query($recibe);
	print mysql_error();
	
while($nfila=mysql_fetch_array($resultado)){
	
	$pdf->MultiCell(0,3,'Usuario:'.' '.$nfila['nom_uno'].' '.''.$nfila['nom_dos'].' '.''.$nfila['ape_uno'].' '.''.$nfila['ape_dos'].'',0,1);

				$pdf->Ln(1);
	$pdf->MultiCell(0,3,'Sexo:'.'  '.$nfila['sexo_usu'].' '.'Edad:'.''.$nfila['edad'].''.' Ocupacion:'.$nfila['ocup_usu'].'',0,1);
	
	
				$pdf->Ln(1);
   
	$pdf->MultiCell(0,3,'Fecha de Nacimiento:'.'  '.$nfila['fecha_nac'].' '.' '.' '.' '.' '.' '.' '.'Numero de Historia Clinica:'.''.$nfila['n_hc'].' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' '.' ',0,1);
	$pdf->Ln(1);
	$pdf->MultiCell(0,3,'Domicilio:'.'  '.$nfila['dire_usu'].' '.' '.' '.' '.' '.' '.' '.'Telefono:'.''.$nfila['celu_usu'].' '.' '.' '.' '.' '.' '.' '.' '.' '.'Fecha de Ingreso: '.' '.$nfila['fecha_ing'].' '.' '.' '.' '.' '.' '.' '.' '.' ',0,1);

	$pdf->Ln(1);
	
	$pdf->ChapterTitle($num,$title);
	$pdf->MultiCell(0,3,''.$nfila['motivo_consulta'].'',0,1);
			
	$pdf->Ln(2);
	$pdf->ChapterTitle55($num,$title);
	$pdf->MultiCell(0,3,''.$nfila['enfermedad_actual'].'',0,1);
	
	$pdf->Ln(2);
	$pdf->ChapterTitle2($num,$title);
	$pdf->MultiCell(0,3,''.$nfila['ant_personales'].'',0,1);
	
	$pdf->Ln(2);
	$pdf->ChapterTitle3($num,$title);
	$pdf->MultiCell(0,4,''.$nfila['ant_familiares'].'',0,1);
	
		$pdf->Ln(2);
	$pdf->ChapterTitle4($num,$title);
	$pdf->MultiCell(0,4,''.$nfila['revision_sistema'].'',0,1);
		
	$pdf->Ln(2);
	$pdf->ChapterTitle5($num,$title);
	$pdf->MultiCell(0,6,'Presion Arterial'.':'.' '.$nfila['tension'].' '.'  '.'  '.'  '.'Peso'.' : '.$nfila['peso'].'Kg'.' '.' '.'F. Cardiaca'.' '.$nfila['fcar'].' '.' '.' '.'Pulso'.' '.$nfila['pulso'].' ',0,1);
	$pdf->Ln(1);
	
	$pdf->MultiCell(0,6,'CABEZA'.' '.':'.' '.$nfila['cabeza'].','.''.$nfila['obscabeza'].' ',0,1);
	$pdf->MultiCell(0,6,'OJO'.''.':'.' '.$nfila['ojo'].','.''.$nfila['obsojo'].' ',0,1);
	$pdf->MultiCell(0,6,'OIDO'.''.':'.' '.$nfila['oido'].','.''.$nfila['obsoido'].' ',0,1);
	$pdf->MultiCell(0,6,'NARIZ'.''.':'.' '.$nfila['nari'].','.''.$nfila['obsnari'].' ',0,1);
	$pdf->MultiCell(0,6,'BOCA'.''.':'.' '.$nfila['boca'].','.''.$nfila['obsboca'].' ',0,1);
	$pdf->MultiCell(0,6,'CUELLO'.''.':'.' '.$nfila['cuello'].','.''.$nfila['obscuello'].' ',0,1);
	$pdf->MultiCell(0,6,'TORAX'.''.':'.' '.$nfila['torax'].','.''.$nfila['obstorax'].' ',0,1);
	$pdf->MultiCell(0,6,'CORAZON'.''.':'.' '.$nfila['corazon'].','.''.$nfila['obscorazon'].' ',0,1);
	$pdf->MultiCell(0,6,'PULMONES'.''.':'.' '.$nfila['pulmones'].','.''.$nfila['obspulmones'].' ',0,1);
	$pdf->MultiCell(0,6,'ABDOMINALES'.''.':'.' '.$nfila['abdominales'].','.''.$nfila['obsabdominales'].' ',0,1);
	$pdf->MultiCell(0,6,'ORINA'.''.':'.' '.$nfila['orina'].','.''.$nfila['obsorina'].' ',0,1);
	$pdf->MultiCell(0,6,'MUSCULO'.''.':'.' '.$nfila['musculo'].','.''.$nfila['obsmusculo'].' ',0,1);
	$pdf->MultiCell(0,6,'PIEL'.''.':'.' '.$nfila['piel'].','.''.$nfila['obspiel'].' ',0,1);
	$pdf->MultiCell(0,6,'SISTEMA NERVIOSO'.''.':'.' '.$nfila['sistner'].','.''.$resultado['obssisner'].' ',0,1);
	$pdf->Ln(2);
	
	
	/**/
     	$recibe2 = "SELECT *FROM historia_diagnostico WHERE  id_adm='$paciente'";
		$pdf->ChapterTitle51($num,$title);
	$resultado2 = mysql_query($recibe2);
	print mysql_error();
		  while ($nfila2=mysql_fetch_array($resultado2)){
			$pdf->MultiCell(0,3,''.$nfila2['diagnostico'].'',0,1);
		  }
		  
		    	$recibe3 = "SELECT *FROM historia_laboratorio WHERE  id_adm='$paciente'";
		$pdf->ChapterTitle50($num,$title);
	$resultado3 = mysql_query($recibe3);
	print mysql_error();
		  while ($nfila3=mysql_fetch_array($resultado3)){
			$pdf->MultiCell(0,3,''.$nfila3['laboratorio'].'',0,1);
		  }
		  
		   	$recibe4 = "SELECT *FROM historia_medicamentos WHERE  id_adm='$paciente'";
		$pdf->ChapterTitle52($num,$title);
	$resultado4 = mysql_query($recibe4);
	print mysql_error();
		  while ($nfila4=mysql_fetch_array($resultado4)){
			$pdf->MultiCell(0,3,''.$nfila4['medicamentos'].' '.$nfila4['posologia'],0,1);
		  }
		  
		  $pdf->ChapterTitle53($num,$title);
		  $pdf->MultiCell(0,3,''.$nfila['seguimiento'].'',0,1);
		  
		  
		  $pdf->ChapterTitle54($num,$title);
		  $pdf->MultiCell(0,3,''.$nfila['educacion'].'',0,1);

	$pdf->Ln(10);

}
	$pdf->Ln();
$pdf->Output();
?>